de.esprit.common.gui

## Class DefaultActionValidator

- java.lang.Object
- - de.esprit.common.gui.DefaultActionValidator

- All Implemented Interfaces:
    ActionValidator, ValidationChangeEvent.Source
  Direct Known Subclasses:
    ClientActionValidator

      public class DefaultActionValidator
      extends java.lang.Object
      implements ActionValidator

  This is the base class for all `ActionValidator` instances.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultActionValidator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addValidationListener(ValidationChangeEvent.Listener l)`
    `void` | `checkPermission()`
    `void` | `fireAvailabilityChecks()`
    `boolean` | `isPermitted()`
    `void` | `removeValidationListener(ValidationChangeEvent.Listener l)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultActionValidator

          public DefaultActionValidator()

  - ### Method Detail

    - #### isPermitted

          public final boolean isPermitted()

      Specified by:
        `isPermitted` in interface `ActionValidator`

    - #### checkPermission

          public void checkPermission()
                               throws java.lang.Exception

      Specified by:
        `checkPermission` in interface `ActionValidator`
      Throws:
        `java.lang.Exception`

    - #### fireAvailabilityChecks

          public final void fireAvailabilityChecks()

    - #### addValidationListener

          public void addValidationListener(ValidationChangeEvent.Listener l)

      Specified by:
        `addValidationListener` in interface `ValidationChangeEvent.Source`

    - #### removeValidationListener

          public void removeValidationListener(ValidationChangeEvent.Listener l)

      Specified by:
        `removeValidationListener` in interface `ValidationChangeEvent.Source`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.